%define srcname ephem

Summary:	Scientific-grade astronomical computations for python
Name:		python-ephem
Version:	3.7.6.0
License:	LGPLv3
Group:		Development/Python
Release:	%mkrel 1
Source:		http://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:		pyephem-3.7.3.4-lm.patch
URL:		http://rhodesmill.org/pyephem/

BuildRequires:	python-devel >= 2.5
Provides:	pyephem = %{version}-%{release}
Provides:	ephem = %{version}-%{release}

%description
PyEphem provides scientific-grade astronomical computations for the
Python programming language. Given a date and location on the Earth’s
surface, it can compute the positions of the Sun and Moon, of the
planets and their moons, and of any asteroids, comets, or earth
satellites whose orbital elements the user can provide. Additional
functions are provided to compute the angular separation between two
objects in the sky, to determine the constellation in which an object
lies, and to find the times at which an object rises, transits, and
sets on a particular day. The numerical routines that lie behind
PyEphem are those from the wonderful XEphem astronomy application,
whose author, Elwood Downey, generously gave permission for us to use
them as the basis for PyEphem.



%package -n python3-ephem
Summary:        Python3 implementation of Ephem
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
Provides:       ephem = %{version}-%{release}

%description -n python3-ephem
%{summary}.


%prep
%setup -q -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install



%files
%doc COPYING LICENSE-GPL LICENSE-LGPL 
%{python2_sitearch}/ephem
%{python2_sitearch}/%{srcname}-*



%files -n python3-ephem
%doc COPYING LICENSE-GPL LICENSE-LGPL 
%{python3_sitearch}/ephem
%{python3_sitearch}/%{srcname}-*


%changelog
* Fri Dec 16 2016 eatdirt <eatdirt> 3.7.6.0-1.mga6
+ Revision: 1075641
- Upgrade to version 3.7.6.0 + add python3 support

* Tue Feb 02 2016 umeabot <umeabot> 3.7.5.1-8.mga6
+ Revision: 932764
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.7.5.1-7.mga5
+ Revision: 745020
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.7.5.1-6.mga5
+ Revision: 728403
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.7.5.1-5.mga5
+ Revision: 688019
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.7.5.1-3.mga4
+ Revision: 543288
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.7.5.1-2.mga4
+ Revision: 498545
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Aug 03 2013 joequant <joequant> 3.7.5.1-1.mga4
+ Revision: 462994
- update to 3.7.5.1

* Sun Jan 13 2013 umeabot <umeabot> 3.7.4.1-2.mga3
+ Revision: 378802
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat May 14 2011 mikala <mikala> 3.7.4.1-1.mga1
+ Revision: 98749
- Update tarball to 3.7.4.1 (thks to pterjan for the patch)
- imported package python-ephem

  + pterjan <pterjan>
    - link with libm

